<!-- @desc:工具栏组件  @auth:周兴  @time:2022/12/6 8:38 -->
<template>
  <div>
    <div class="btn-div">
      <ButtonGroup ref="leftButtonGroup">
        <slot name="left"/>
      </ButtonGroup>
      <ButtonGroup ref="rightButtonGroup">
        <slot name="right"/>
      </ButtonGroup>
    </div>
  </div>
</template>

<script>
export default {
  name: 'BaseIndexButtonGroup',
  data() {
    return {
      leftData: null,
      rightData: null,
      items: []    //子组件
    }
  },
  provide() {
    return{
      buttonGroup:this,
    }
  },
  methods: {
  },
  created() {
  }
}
</script>

<style scoped>
.btn-div {
  z-index: 11;
  /*width: 98%;*/
  padding: 6px 0;
  margin-left: -1px;
  justify-content: space-between;
  display: flex;
  min-width: 100px !important;
  background-color: transparent!important;
}
</style>
